## gcc-mingw-w64 26.7

=== debian/changelog ===
gcc-mingw-w64 (26.7) unstable; urgency=medium

  * Refactor flag construction, drop --as-needed for the host since
    that’s the toolchain default.
  * Always build the bootstrap package.
  * Remove build directories once they’re installed to reduce disk space
    requirements.
  * Make the bootstrap package ship its own documentation instead of
    depending on the base package. This simplifies dependency resolution
    for the package in experimental, and means the base package can be
    dropped in stage1.
  * Provide UCRT cross-compilers, targeting POSIX threads to match Fedora
    and MSYS2. Closes: #1038210.
  * Include stdlib.h in rtinit for gnat.
  * d/rules: $(COMMA) isn’t defined, use $(comma) instead.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Jan 2025 18:54:00 +0100
