=== debian/control ===
# This file is generated using debian/rules control, do not edit
Source: gcc-mingw-w64
Maintainer: Stephen Kitt <skitt@debian.org>
Section: devel
Priority: optional
Build-Depends: binutils-mingw-w64-i686 (>= 2.30~),
               binutils-mingw-w64-ucrt64,
               binutils-mingw-w64-x86-64 (>= 2.30~),
               bison,
               debhelper-compat (= 10),
               flex,
               g++-13 <!stage1>,
               gcc-13-source,
               gnat-13 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
               libelf-dev,
               libgmp-dev,
               libisl-dev,
               libmpc-dev,
               libmpfr-dev,
               mingw-w64-i686-dev <!stage1>,
               mingw-w64-ucrt64-dev <!stage1>,
               mingw-w64-x86-64-dev <!stage1>,
               xz-utils,
               zlib1g-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
Homepage: https://www.gnu.org/software/gcc/
Rules-Requires-Root: no

Package: gcc-mingw-w64-bootstrap
Architecture: any
Depends: binutils-mingw-w64,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU Compiler Collection for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit Windows applications using the GNU Compiler Collection (gcc).
 .
 This package contains the GNU Compiler Collection, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets. The bootstrap
 version of the package contains only the minimal C compiler required
 to build MinGW-w64.

Package: gcc-mingw-w64
Architecture: all
Depends: gcc-mingw-w64-i686,
         gcc-mingw-w64-x86-64,
         ${misc:Depends}
Description: GNU C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-i686
Architecture: all
Depends: gcc-mingw-w64-i686-posix,
         gcc-mingw-w64-i686-win32,
         ${misc:Depends}
Description: GNU C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-i686-posix
Architecture: any
Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64-bootstrap
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64, Win32/POSIX
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets, using the POSIX
 threading model.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-i686-win32
Architecture: any
Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64-bootstrap
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64, Win32/Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets, using the Win32
 threading model.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-x86-64
Architecture: all
Depends: gcc-mingw-w64-x86-64-posix,
         gcc-mingw-w64-x86-64-win32,
         ${misc:Depends}
Description: GNU C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-x86-64-posix
Architecture: any
Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64-bootstrap
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64, Win64/POSIX
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets, using the POSIX
 threading model.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-x86-64-win32
Architecture: any
Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Conflicts: gcc-mingw-w64-bootstrap
Replaces: gcc-mingw-w64-bootstrap
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64, Win64/Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets, using the Win32
 threading model.
Build-Profiles: <!stage1>

Package: gcc-mingw-w64-ucrt64
Architecture: any
Depends: binutils-mingw-w64-ucrt64, mingw-w64-ucrt64-dev, gcc-mingw-w64-ucrt64-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64 targeting UCRT Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets with the Universal C
 runtime.
Build-Profiles: <!stage1>

Package: g++-mingw-w64
Architecture: all
Depends: g++-mingw-w64-i686,
         g++-mingw-w64-x86-64,
         ${misc:Depends}
Description: GNU C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-i686
Architecture: all
Depends: g++-mingw-w64-i686-posix,
         g++-mingw-w64-i686-win32,
         ${misc:Depends}
Description: GNU C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-i686-posix
Architecture: any
Depends: gcc-mingw-w64-i686-posix (= ${binary:Version}), gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64, Win32/POSIX
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets, using the POSIX
 threading model.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-i686-win32
Architecture: any
Depends: gcc-mingw-w64-i686-win32 (= ${binary:Version}), gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64, Win32/Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets, using the Win32
 threading model.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-x86-64
Architecture: all
Depends: g++-mingw-w64-x86-64-posix,
         g++-mingw-w64-x86-64-win32,
         ${misc:Depends}
Description: GNU C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-x86-64-posix
Architecture: any
Depends: gcc-mingw-w64-x86-64-posix (= ${binary:Version}), gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64, Win64/POSIX
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets, using the POSIX
 threading model.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-x86-64-win32
Architecture: any
Depends: gcc-mingw-w64-x86-64-win32 (= ${binary:Version}), gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64, Win64/Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets, using the Win32
 threading model.
Build-Profiles: <!stage1>

Package: g++-mingw-w64-ucrt64
Architecture: any
Depends: gcc-mingw-w64-ucrt64 (= ${binary:Version}), gcc-mingw-w64-ucrt64-runtime (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gcc-13-locales (>= ${local:Version})
Built-Using: gcc-13 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64 targeting UCRT Win64
 MinGW-w64 provides a development and runtime environment for 32- and
