## gcc-mingw-w64 26.8

=== debian/changelog ===
gcc-mingw-w64 (26.8) unstable; urgency=medium

  * Limit the gnat-mingw-w64-ucrt64 architectures to those where gnat is
    available.
  * Add missing Replaces/Conflicts between the bootstrap and regular
    C/C++ compiler packages. Closes: #1093747.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Feb 2025 07:51:32 +0100
