=== debian/control ===
--- 
+++ 
@@ -167,6 +167,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gcc-13-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
 Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64 targeting UCRT Win64
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -212,6 +214,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gcc-13-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
 Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -229,6 +233,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gcc-13-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
 Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -260,6 +266,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gcc-13-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
 Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -277,6 +285,8 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: gcc-13-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
 Built-Using: gcc-13 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
@@ -290,10 +300,3 @@
 
 Package: g++-mingw-w64-ucrt64
 Architecture: any
-Depends: gcc-mingw-w64-ucrt64 (= ${binary:Version}), gcc-mingw-w64-ucrt64-runtime (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Built-Using: gcc-13 (= ${gcc:Version})
-Description: GNU C++ compiler for MinGW-w64 targeting UCRT Win64
- MinGW-w64 provides a development and runtime environment for 32- and
