## gcc-mingw-w64 27

=== debian/changelog ===
gcc-mingw-w64 (27) unstable; urgency=medium

  [ Konstantin Demin ]
  * Switch to GCC 14. Closes: #1092654.

  [ Stephen Kitt ]
  * Use versioned gnat binaries by adding links to their default
    equivalents in a local directory. This allows the build to use a
    gnat-... package without depending on the default gnat package.
  * Drop references to gnatfind and gnatxref, removed in GCC 12.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 02 Mar 2025 20:11:13 +0100
