=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                bison,
                debhelper-compat (= 10),
                flex,
-               g++-13 <!stage1>,
-               gcc-13-source,
-               gnat-13 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
+               g++-14 <!stage1>,
+               gcc-14-source,
+               gnat-14 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
                libelf-dev,
                libgmp-dev,
                libisl-dev,
@@ -22,7 +22,7 @@
                mingw-w64-x86-64-dev <!stage1>,
                xz-utils,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
 Homepage: https://www.gnu.org/software/gcc/
@@ -33,7 +33,7 @@
 Depends: binutils-mingw-w64,
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-13 (= ${gcc:Version})
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU Compiler Collection for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit Windows applications using the GNU Compiler Collection (gcc).
@@ -76,10 +76,10 @@
 Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -95,10 +95,10 @@
 Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -128,10 +128,10 @@
 Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -147,10 +147,10 @@
 Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -166,10 +166,10 @@
 Depends: binutils-mingw-w64-ucrt64, mingw-w64-ucrt64-dev, gcc-mingw-w64-ucrt64-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64 targeting UCRT Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -213,10 +213,10 @@
 Depends: gcc-mingw-w64-i686-posix (= ${binary:Version}), gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -232,10 +232,10 @@
 Depends: gcc-mingw-w64-i686-win32 (= ${binary:Version}), gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -265,10 +265,10 @@
 Depends: gcc-mingw-w64-x86-64-posix (= ${binary:Version}), gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -284,10 +284,10 @@
 Depends: gcc-mingw-w64-x86-64-win32 (= ${binary:Version}), gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-13-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-13 (= ${gcc:Version})
+Suggests: gcc-14-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-14 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
