=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gcc-mingw-w64 using gcc-13-source.
+# Build gcc-mingw-w64 using gcc-14-source.
 # Copyright © 2010-2024 Stephen Kitt <skitt@debian.org>
 # Copyright © 2022-2024 Konstantin Demin <rockdrilla@gmail.com>
 #
@@ -25,7 +25,7 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
-target_version := 13
+target_version := 14
 target32 := i686-w64-mingw32
 target64 := x86_64-w64-mingw32
 targetucrt := x86_64-w64-mingw32ucrt
