## gcc-mingw-w64 28

=== debian/changelog ===
gcc-mingw-w64 (28) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark cross toolchain packages Multi-Arch: foreign. Closes: #1106098.

  [ Stephen Kitt ]
  * Switch to GCC 15.
  * Ignore “no-code-sections” errors, Lintian doesn’t handle PE
    libraries.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

  [ Konstantin Demin ]
  * Remove obsolete binutils version constraint.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Nov 2025 09:30:04 +0100
