=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: binutils-mingw-w64-i686 (>= 2.30~),
+Build-Depends: binutils-mingw-w64-i686,
                binutils-mingw-w64-ucrt64,
-               binutils-mingw-w64-x86-64 (>= 2.30~),
+               binutils-mingw-w64-x86-64,
                bison,
                debhelper-compat (= 10),
                flex,
-               g++-14 <!stage1>,
-               gcc-14-source,
-               gnat-14 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
+               g++-15 <!stage1>,
+               gcc-15-source,
+               gnat-15 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
                libelf-dev,
                libgmp-dev,
                libisl-dev,
@@ -26,14 +26,14 @@
 Vcs-Browser: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64
 Vcs-Git: https://salsa.debian.org/mingw-w64-team/gcc-mingw-w64.git
 Homepage: https://www.gnu.org/software/gcc/
-Rules-Requires-Root: no
 
 Package: gcc-mingw-w64-bootstrap
 Architecture: any
+Multi-Arch: foreign
 Depends: binutils-mingw-w64,
          ${misc:Depends},
          ${shlibs:Depends}
-Built-Using: gcc-14 (= ${gcc:Version})
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU Compiler Collection for MinGW-w64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit Windows applications using the GNU Compiler Collection (gcc).
@@ -45,6 +45,7 @@
 
 Package: gcc-mingw-w64
 Architecture: all
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-i686,
          gcc-mingw-w64-x86-64,
          ${misc:Depends}
@@ -59,6 +60,7 @@
 
 Package: gcc-mingw-w64-i686
 Architecture: all
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-i686-posix,
          gcc-mingw-w64-i686-win32,
          ${misc:Depends}
@@ -73,13 +75,14 @@
 
 Package: gcc-mingw-w64-i686-posix
 Architecture: any
-Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Multi-Arch: foreign
+Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev, gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -92,13 +95,14 @@
 
 Package: gcc-mingw-w64-i686-win32
 Architecture: any
-Depends: binutils-mingw-w64-i686 (>= 2.30~), mingw-w64-i686-dev, gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Multi-Arch: foreign
+Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev, gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -111,6 +115,7 @@
 
 Package: gcc-mingw-w64-x86-64
 Architecture: all
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-x86-64-posix,
          gcc-mingw-w64-x86-64-win32,
          ${misc:Depends}
@@ -125,13 +130,14 @@
 
 Package: gcc-mingw-w64-x86-64-posix
 Architecture: any
-Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Multi-Arch: foreign
+Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -144,13 +150,14 @@
 
 Package: gcc-mingw-w64-x86-64-win32
 Architecture: any
-Depends: binutils-mingw-w64-x86-64 (>= 2.30~), mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Multi-Arch: foreign
+Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev, gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -163,13 +170,14 @@
 
 Package: gcc-mingw-w64-ucrt64
 Architecture: any
+Multi-Arch: foreign
 Depends: binutils-mingw-w64-ucrt64, mingw-w64-ucrt64-dev, gcc-mingw-w64-ucrt64-runtime (= ${binary:Version}), gcc-mingw-w64-base (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C compiler for MinGW-w64 targeting UCRT Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -182,6 +190,7 @@
 
 Package: g++-mingw-w64
 Architecture: all
+Multi-Arch: foreign
 Depends: g++-mingw-w64-i686,
          g++-mingw-w64-x86-64,
          ${misc:Depends}
@@ -196,6 +205,7 @@
 
 Package: g++-mingw-w64-i686
 Architecture: all
+Multi-Arch: foreign
 Depends: g++-mingw-w64-i686-posix,
          g++-mingw-w64-i686-win32,
          ${misc:Depends}
@@ -210,13 +220,14 @@
 
 Package: g++-mingw-w64-i686-posix
 Architecture: any
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-i686-posix (= ${binary:Version}), gcc-mingw-w64-i686-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -229,13 +240,14 @@
 
 Package: g++-mingw-w64-i686-win32
 Architecture: any
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-i686-win32 (= ${binary:Version}), gcc-mingw-w64-i686-win32-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win32/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -248,6 +260,7 @@
 
 Package: g++-mingw-w64-x86-64
 Architecture: all
+Multi-Arch: foreign
 Depends: g++-mingw-w64-x86-64-posix,
          g++-mingw-w64-x86-64-win32,
          ${misc:Depends}
@@ -262,13 +275,14 @@
 
 Package: g++-mingw-w64-x86-64-posix
 Architecture: any
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-x86-64-posix (= ${binary:Version}), gcc-mingw-w64-x86-64-posix-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/POSIX
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -281,22 +295,16 @@
 
 Package: g++-mingw-w64-x86-64-win32
 Architecture: any
+Multi-Arch: foreign
 Depends: gcc-mingw-w64-x86-64-win32 (= ${binary:Version}), gcc-mingw-w64-x86-64-win32-runtime (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gcc-14-locales (>= ${local:Version})
-Conflicts: gcc-mingw-w64-bootstrap
-Replaces: gcc-mingw-w64-bootstrap
-Built-Using: gcc-14 (= ${gcc:Version})
+Suggests: gcc-15-locales (>= ${local:Version})
+Conflicts: gcc-mingw-w64-bootstrap
+Replaces: gcc-mingw-w64-bootstrap
+Built-Using: gcc-15 (= ${gcc:Version})
 Description: GNU C++ compiler for MinGW-w64, Win64/Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
  the GNU Compiler Collection (gcc).
  .
- This package contains the C++ compiler, supporting
- cross-compiling to 64-bit MinGW-w64 targets, using the Win32
- threading model.
-Build-Profiles: <!stage1>
-
-Package: g++-mingw-w64-ucrt64
-Architecture: any
