=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gcc-mingw-w64 using gcc-14-source.
-# Copyright © 2010-2024 Stephen Kitt <skitt@debian.org>
+# Build gcc-mingw-w64 using gcc-15-source.
+# Copyright © 2010-2025 Stephen Kitt <skitt@debian.org>
 # Copyright © 2022-2024 Konstantin Demin <rockdrilla@gmail.com>
 #
 # This program is free software: you can redistribute it and/or modify
@@ -25,7 +25,7 @@
 # Built-Using, which results in build failures
 export NO_PKG_MANGLE=1
 
-target_version := 14
+target_version := 15
 target32 := i686-w64-mingw32
 target64 := x86_64-w64-mingw32
 targetucrt := x86_64-w64-mingw32ucrt
