## gcc-mingw-w64 28.1

=== debian/changelog ===
gcc-mingw-w64 (28.1) unstable; urgency=medium

  * Drop rtinit-stdlib.patch, fixed in gcc-15 15.2.0-11 with ada/123037.
    Closes: #1124161.

 -- Stephen Kitt <skitt@debian.org>  Tue, 30 Dec 2025 14:55:24 +0100
