=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                debhelper-compat (= 10),
                flex,
                g++-15 <!stage1>,
-               gcc-15-source,
+               gcc-15-source (>= 15.2.0-11),
                gnat-15 [alpha amd64 arm64 armel armhf hppa i386 mips64el mipsel ppc64 ppc64el riscv64 s390x sh4 sparc64 x32] <!stage1>,
                libelf-dev,
                libgmp-dev,
